c     GridGen.f(or)     begins              ---------------------------|
c                                                                      |
c                                                                      |
      SUBROUTINE matrwr(  title, comat, n1dim  , n1, i1l, n2  , i2l)
c           call matrwr(' PRay', PRay , NVELDIM, nv, 1  , npsi, 1)
c           call matrwr(' Pql' , Pql  , NVELDIM, nv, 1  , npsi, 1)
#include "Implic.inc"
#include "tscunits.inc"
      CHARACTER *(*) title
      CHARACTER *(30) label
      INTEGER n1dim, n1, i1l, n2, i2l, i1u, i2u, i1, i2
      REAL     comat(n1dim, n2), cmaxr, cminr, comatr
      write(nLSCcom2,41)title
 41   format(/,/, a, '(i1, i2)',/)
      write(nLSCcom2,4)n1dim,n1,n2, i1l, i2l
 4    format(' n1dim = ', i3, 3x,' n1 = ', i3, 3x, ' n2 = ',i3, /,
     ^       ' i1l = ', i3, 3x, ' i2l = ', i3)
c
c     find extrema and print
c
      cmaxr = comat(1, 1)
      cminr = comat(1, 1)
        i1u = i1l + n1 - 1
        i2u = i2l + n2 - 1
      do 5 i1 = i1l, i1u
      do 5 i2 = i2l, i2u
      comatr=comat(i1,i2)
      if(cmaxr.lt.comatr)cmaxr=comatr
      if(cminr.gt.comatr)cminr=comatr
 5    continue
      write(nLSCcom2,50)cminr,cmaxr
50    format(' min = ',1pe10.3,5x,' max = ',1pe10.3)
        do 1 i2 = i2l, i2u
           write(label, 101) i2
 101       format('i2 = ', i2)
           call vwrite(n1, comat(1, i2), label)
1     continue
      return
      END
c
c     -----------------------------------------------------------------
c
      SUBROUTINE matiwr(title, comat, n1dim, n1, i1l, n2, i2l)
#include "Implic.inc"
#include "tscunits.inc"
      CHARACTER *(*) title
      CHARACTER *(30) label
      INTEGER n1dim, n1, i1l, i1u, n2, i2l, i2u, cmaxr, cminr, i1, i2,
     ^     comatr
      INTEGER comat(n1dim, n2)
      write(nLSCcom2,41)title
 41   format(/,/,a, '(i1, i2)',/)
      write(nLSCcom2,4)n1dim,n1,n2, i1l, i2l
 4    format(' n1dim = ', i3, 3x,' n1 = ', i3, 3x, ' n2 = ',i3 /
     ^       ' i1l = ', i3, 3x, ' i2l = ', i3)
c
c     find extrema and print
c
      cmaxr = comat(1, 1)
      cminr = comat(1, 1)
        i1u = i1l + n1 - 1
        i2u = i2l + n2 - 1
      do 5 i1 = i1l, i1u
      do 5 i2 = i2l, i2u
      comatr=comat(i1,i2)
      if(cmaxr.lt.comatr)cmaxr=comatr
      if(cminr.gt.comatr)cminr=comatr
 5    continue
      write(nLSCcom2,50)cminr,cmaxr
50    format(' min = ', i3, 5x,' max = ', i3)
        do 1 i2 = i2l, i2u
           write(label, 101) i2
 101       format('i2 = ', i2)
           call viwrite(n1, comat(1, i2), label)
1     continue
      return
      END
c
c     -----------------------------------------------------------------
      SUBROUTINE VecMnMx(vec, n, vmin, vmax)
#include "Implic.inc"
      INTEGER n
      REAL    vec(n)
      REAL    vmin, vmax
      INTEGER i
      i = 1
      vmin = vec(i)
      vmax = vec(i)
      do 20 i = 2, n
              if(vmin .gt. vec(i))then
                      vmin = vec(i)
              else if(vmax .lt. vec(i))then
                      vmax = vec(i)
              endif
 20   continue
      return
      END
c     -----------------------------------------------------------------
      SUBROUTINE VecIMnMx(vec, n, vmin, vmax)
      INTEGER vec, vmin, vmax
      DIMENSION vec(n)
      i = 1
      vmin = vec(i)
      vmax = vec(i)
      do 20 i = 2, n
              if(vmin .gt. vec(i))then
                      vmin = vec(i)
              else if(vmax .lt. vec(i))then
                      vmax = vec(i)
              endif
 20   continue
      return
      END
 
c
c                                                                      |
c                                                                      |
c     GridGen.f(or)     ends                ---------------------------|

