c     power.F ---------------------------------------------------------+
c                                                                      |
      SUBROUTINE PdepCalc
#include "Implic.inc"
      call RfDamp
      call RfHeat
      return
      END
c
c
      SUBROUTINE PwrDiagn
#include "Implic.inc"
#include "tscunits.inc"
#include "params.inc"
#include "Doflags.inc"
#include "PlPr.inc"
#include "FeBins.inc"
#include "RayBins.inc"
#include "RayWrk.inc"
#include "ProfBody.inc"
#include "WkAry.inc"
#include "power.inc"
      INTEGER nrLines
      INTEGER ivlocal, iplocal
      INTEGER ipstep, ThisPlot, NumPlts, iCross0
      CHARACTER*1 curve, dots, altdots, cros, bars
      CHARACTER*10 chip
      CHARACTER*24 MyString
      CHARACTER*30 TSCstring
      REAL    nparlocal

      INTEGER NumPofN, inlocal, iymjr, iymnr, nsmo
      REAL    NpLocMin, NpLocMax
      PARAMETER (NumPofN=101, NpLocMin=-10., NpLocMax=10.)
      REAL    PofNpar(NumPofN), NparVec(NumPofN)
      REAL    PofNmin, PofNmax, NparLog(20), NparINV(NVELDIM)
      PARAMETER (nsmo=5)
      REAL    smofn(nsmo)

      DATA curve, dots,altdots, cros, bars,  NumPlts  /
     ^       ' ',  '.',    ',',  'x',  '|',       12  /
      DATA smofn(1), smofn(2), smofn(3), smofn(4), smofn(5) /
     ^      1.     ,  2.     ,  3.     ,  2.     ,  1.      /
      REAL    ZERO, ONE, ONEPT2
      DATA    ZERO, ONE, ONEPT2/
     ^         0.0, 1.0,    1.2/
      ipstep = (npsi - 2)/NumPlts
      ivlocal = 1


      nrLines = 0
      if(PlFlg(RFDPL)  .ge. TRUE ) then
c                                       Compute power along rays
         call RfDamp
         if(PlFlg(RFDPL) .ge. TRUE) then
c           call mwpl('PRay$', PRay, DqlWind, GEOM) 
            ivlocal = 1
            ThisPlot = 1
            do 20 iplocal = ipstep, ipstep*NumPlts, ipstep
c     .                                 if chip starts with a 'l' or 'L'
c     .                                 then the logarithm is plotted
               write(chip,'(''Pray('',i2,'')'')') iplocal
c
c     .                                 call the curve line first... this
c     .                                 sets the scale of the graph
               call Dql6Norm(Vpar(ivlocal),Pray(ivlocal,iplocal),nv,
     ^                           chip,bars, ThisPlot, NumPlts)
c
               ThisPlot = ThisPlot + 1 
c
 20         continue
c
            call BrodCast(nv, wkv,    0.)
            do ivlocal = 1,nv
                  NparINV(ivZero)= 0.0
               if (ivlocal .gt. ivZero )
     ^            NparINV(ivlocal) = 11. - 10.*vpar(ivlocal)
               if (ivlocal .lt. ivZero )
     ^            NparINV(ivlocal) =-11. - 10.*vpar(ivlocal)
               do iplocal = 1,npsi
                  wkv(ivlocal)=wkv(ivlocal) + Pray(ivlocal,iplocal)
               enddo
            enddo
c           EZnorm ( fin , fout , fmin , fmax , n , iCross0) 
c            iCross0=1+1=2 --> crosses 0; iCross0=1+0=1 --> not cross 0
            call EZnorm ( wkv, wkv , wkv(nv+1),wkv(nv+2), nv, iCross0 )
c bar graph of Pray(iv)
            call EZsets (    600,    1000, 125, 375,
     ^                       -ONE,    ONE,ZERO, ONEPT2, 1)
c    ^                       -1.,      1., 0.0, 1.2, 1)
            call GNsets (    500,    1000,   0, 380,
     ^                       -ONE,    ONE,ZERO, ONEPT2, 1)
            write (MyString,'( ''Pray(v/c)/'', 1pe8.1,''$'')') wkv(nv+2)
            call EZwrit(600, 400, MyString , 0, 0 )
            call GNtitl(          MyString        )
            call EZaxes (2,5,1,6)
            call EZbars(vpar,wkv,nv,'y')
            call GNbars(vpar,wkv,nv,'y')
c
c continuous graph of Pray(iv)
            call EZsets (    600,    1000, 475, 725,
     ^                       -ONE,    ONE,ZERO, ONEPT2, 1)
c    ^                       -1.,      1., 0.0, 1.2, 1)
            call GNsets (    500,    1000, 380, 760,
     ^                       -ONE,    ONE,ZERO, ONEPT2, 1)
            write (MyString,'( ''Pray(v/c) curve'',''$'')') 
            call EZwrit(600, 750, MyString , 0, 0 )
            call GNtitl(          MyString        )
            call EZaxes (2,5,1,6)
            call EZcurv(vpar,wkv,nv)
            call GNcurv(vpar,wkv,nv)
c bar graph of Pray(npar)
            call BrodCast(NumPofN, PofNpar, 0.0)
            call ugrid(NparVec,NumPofN, NpLocMin, NpLocMax)
            do ivlocal = 1,ivZero-1
               nparlocal= amax1(1./vpar(ivlocal), NpLocMin)
               inlocal = int((nparlocal-NpLocMin)
     ^                         / 20.*float(NumPofN-1)) + 1
               PofNpar(inlocal) = PofNpar(inlocal) + wkv(ivlocal)
            enddo
            do ivlocal = ivZero+1,nv
               nparlocal= amin1(1./vpar(ivlocal), NpLocMax)
               inlocal = int((nparlocal-NpLocMin)
     ^                         / 20.*float(NumPofN-1)) + 1
               PofNpar(inlocal) = PofNpar(inlocal) + wkv(ivlocal)
c               call EZbars(nparlocal,wkv(ivlocal),1,'y')
            enddo
            call vecnorm(NumPofN, PofNpar)
            call vecMnMx(PofNpar,NumPofN, PofNmin, PofNmax)
            call EZrnd2  (PofNmax, PofNmax, iymjr, iymnr)
            call EZsets (  100,     500, 125, 375,   
     ^                NpLocMin,NpLocMax,ZERO, PofNmax, 1)
c    ^                NpLocMin,NpLocMax, 0.0, PofNmax, 1)
            call GNsets (    0,     500,   0, 380,   
     ^                NpLocMin,NpLocMax,ZERO, PofNmax, 1)
            write (MyString,'(''Pray(npar)'',''$'')')
            call EZwrit(100, 400, MyString , 0, 0 )
            call GNtitl(          MyString        )
            call EZaxes (2,5,iymjr,iymnr)
            call EZbars(NparVec,PofNpar,NumPofN,'y')
            call GNbars(NparVec,PofNpar,NumPofN,'y')
c continuous graph of Pray(npar)
            call vecnorm(nsmo,smofn)
            call smooth(PofNpar,NumPofN,NumPofN,1,nsmo,smofn)
            call EZsets (  100,     500, 475, 725,   
     ^                NpLocMin,NpLocMax,ZERO, PofNmax, 1)
c    ^                NpLocMin,NpLocMax, 0.0, PofNmax, 1)
            call GNsets (    0,     500, 380, 760,   
     ^                NpLocMin,NpLocMax,ZERO, PofNmax, 1)
            write (MyString,'(''Pray(npar) curve'',''$'')')
            call EZwrit(100, 750, MyString , 0, 0 )
            call GNtitl(          MyString        )
            call EZaxes (2,5,iymjr,iymnr)
            call EZcurv(NparVec,PofNpar,NumPofN)
            call GNcurv(NparVec,PofNpar,NumPofN)
            write(TSCstring,'( '' Pray(iv) vs v/c '')') 
c close frame
            call MkGrfLst( TSCstring )
            call EZfini(0,0)
            call GNfini
         endif

      endif
c
      if (PlFlg(RFDPL)   .ge. TRUE    ) then
c                                       Compute power from QL heating
         call RfHeat
         call JdepCalc
         call PJrfIgrl

      endif

      return
      END
c
c     -----------------------------------------------------------------
      SUBROUTINE RfDamp
#include "Implic.inc"
#include "params.inc"
#include "ProfBody.inc"
#include "DqlBins.inc"
#include "RayBins.inc"
#include "FeBins.inc"
#include "WkAry.inc"
#include "power.inc"
      INTEGER izn, iry, iv, ips
c     uses decrement in ray energy along each ray to compute local 
c     deposition and to deposit same into appropriate velocity 
c     bin, differential volume element
c     assume power(izone, iray) is the power arriving at psi surface, 
c     velocity zone izind(izone, iray), ivind(izone, iray) and use 
c     differences to compute local deposition
c
      call BrodCast(NPSIDIM * NVELDIM, PRay,    0.)
      call BrodCast(NPSIDIM,           PRaytot, 0.)
      do 10 iry = 1, nrays
        do 20 izn = 1, nzones - 1

          iv = ivind(izn, iry)
c                                       If  ivind=0, the ray was stopped before
c                                       reaching this izone (izn).
c                                       No calculation is appropriate.
          if (iv .eq. 0) go to 20
          ips = izind(izn, iry)
          PRay(iv, ips) = PRay(iv, ips) + ( power(izn  ,iry) - 
     ^                                      power(izn+1,iry)  )
 20     continue
 10   continue
c
      call Smooth(Pray, nv, NVELDIM, npsi, nsmoo, qlsm)
c
      do 30 ips = 1, NPSIDIM
        do 30 iv  = 1, NVELDIM
          PRayTot(ips) = PRayTot(ips) + PRay(iv,ips)
c30     continue
 30   continue
c
      PRaySum = 0.
      do 40 ips = 1, npsi
        PRaySum = PRaySum + PRaytot(ips)
 40   continue
c
      PPwrSum = 0.
      do 50 iry = 1, nrays
        PPwrSum = PPwrSum + ( power(1,iry) - power(nzones,iry) )
 50   continue
c
      return
      END
c     -----------------------------------------------------------------
      SUBROUTINE RfHeat
#include "Implic.inc"
#include "params.inc"
#include "ProfBody.inc"
#include "DqlBins.inc"
#include "FeBins.inc"
#include "RayBins.inc"
#include "WkAry.inc"
#include "power.inc"
      INTEGER ips, iv, iSMOi
c                                       compute power flow resulting 
c                                       from quasilinear diffusion
      call BrodCast(NPSIDIM,           PQltot, 0.)
      call BrodCast(NVELDIM * NPSIDIM, Pql,    0.)
      iSMOi = mod(iSMO,2) + 1
c
c     The quasilinear power deposited in each velocity bin in each
c     psi bin is:
c     Pql = m v Dql (-df/dv) dv dVol/dpsi dpsi
      do 20 ips = 1, npsi
              do 10 iv = 1, nv
                 Pql(iv, ips) =  - Vpar(iv) * 
     ^                       Dql(iv, ips,iSMO) * dfdv(iv, ips,iSMOi) *
     ^                       dvsym(iv) * dVol(ips) * PwrNorm
                 Pqltot(ips) = Pqltot(ips) + Pql(iv, ips)
 10           continue
 20   continue
c
      call Smooth(Pql , nv, NVELDIM, npsi, nsmoo, qlsm)
      PqlSum = 0.
      do 30 ips = 1, npsi
         PqlSum = PqlSum + Pqltot(ips)
 30   continue
c
      return
      END
c     -----------------------------------------------------------------
      SUBROUTINE RayDamp
#include "Implic.inc"
#include "params.inc"
#include "PIetc.inc"
#include "dielec.inc"
#include "Doflags.inc"
#include "FeBins.inc"
#include "RayBins.inc"
#include "RayWrk.inc"
#include "PlPr.inc"
#include "WkAry.inc"
      CHARACTER*70 ErrMsg 
      INTEGER i, j, iry, izn, ThisRay
      INTEGER iv
      REAL    dum
      REAL    xz(NZONDIM), yX(NZONDIM), yQL(NZONDIM)
      REAL    MxdPdZ
      DATA    MxdPdZ / 0.00010 /
c
c     compute exponential decrement, deposit into yX (Maxwellian) and
c     yQL (quasilinear)
      izn = nzones
c     nzones is stored in, read from   ray.dat
c
      do 30 iry = 1, nrays
        xz(1)  = 1.
        yX(1)  = 1.
        yQL(1) = 1. 
c       First do Maxwellian damping dlnPdsX
c
        do 10 i=1,izn-1
          xz(i) = float(i)

            iv = ivind(i , iry )
c                                       If  ivind=0, the ray was stopped before
c                                       reaching this izone 
c                                       No calculation is appropriate.
            if (iv .eq. 0) then
              yX(i+1) = yX(i)
              go to 10
            endif

          dum = 1. + dlnPdsX(i,iry)
c                                       Limit the damping per zone to the
c                                       value MxdPdZ
          if (dum .lt. MxdPdz) then
            write(ErrMsg,'( '' Mxw damp!iry,izn,iv,'',
     ^                      ''dlnPdsX     :'',i4,i4,i4,
     ^                        1pe11.3)')
     ^                        iry, i, ivind(i,iry),dlnPdsX(i,iry)
cdbg        call LSCwarn( ErrMsg )
            dum = MxdPdZ
          endif
c                                       Guard against amplification of wave!
          if (dum .gt. 1.+MxdPdZ) then
            write(ErrMsg,'( '' Mxw ampl!iry,izn,iv,'',
     ^                      ''dlnPdsX     :'',i4,i4,i4,
     ^                        1pe11.3)')
     ^                        iry, i, ivind(i,iry),dlnPdsX(i,iry)
cdbg        call LSCwarn( ErrMsg )
            dum = 1.

          endif
c         yX(i) =  yX(i-1) * dum ! before jul 92
          yX(i+1) =  yX(i) * dum
          if(dum .eq. MxdPdZ) then
            do 9 j = i+1,izn
              yX(j) = 0.00
 9          continue
            go to 11
          endif
 10     continue
 11     continue
c
c       Next do Quasilinear damping dlnPdsK with the Kernel
c
        do 20 i=1,izn-1
          rFudgDmp(i,iry) = 1.00
          xz(i) = float(i)
            iv = ivind(i , iry )
c                                       If  ivind=0, the ray was stopped before
c                                       reaching this izone (izn).
c                                       No calculation is appropriate.
            if (iv .eq. 0) then
              yQL(i+1) = yQL(i)
              go to 20
            endif

            dum = dlnPdsK(i,iry)*dfdv(ivind(i,iry),izind(i,iry),2)

c                                       But if we are at negative velocity
c                                       then dlnPdsK*dfdv needs a minus sign.
          if(iv .lt. IvZero) then
            dum = - dum
          endif
c
c                                       Make dum a positive number, hoped to
c                                       be small compared to 1
            dum = - dum


          if (dum .lt. 0.01) then
            rFudgDmp(i,iry) = 1.0 - dum/2.0 + dum**2/6.0
          else
            rFudgDmp(i,iry) = ( 1.0 - exp(-dum) ) / dum
          endif
            yQL(i+1) = yQL(i) * exp (-dum)

          if (yQL(i+1) .lt. 1.0E-20) then
            do 19 j = i+1,izn
              yQL(j) = 0.00
 19         continue
            go to 21
          endif
 20     continue
 21     continue
c
        call svmult(izn, yQL, power(1, iry), power(1, iry))
c       compute power along ray
 30   continue
      return
      END
c                                                                      |
c     power.F ---------------------------------------------------------+


